<template lang="html">
  <content-screen mode="page" class="payment-methods">
    <payment-method id="bank" :active="method=='bank'" @click="click" :settings="settings('bank')">Bank Account</payment-method>
    <payment-method id="apple-pay" :active="method=='apple-pay'" @click="click">Apple Pay</payment-method>
    <payment-method id="cash" :active="method=='cash'" @click="click">Cash</payment-method>
    <payment-method id="credit-card" :active="method=='credit-card'" limit="Increase amount to $51" @click="click">Credit Card</payment-method>
    <payment-method id="card" :active="method=='card'" limit="Increase amount to $51" @click="click">Card</payment-method>
    <div slot="actions">
      <butter-button>Next</butter-button>
    </div>
  </content-screen>
</template>
<script>
  export default {
    data: _ => ({
      method: "card",
    }),
    methods: {
      click(name) {
        this.method = name;
      },
      async settings(method) {
        return function() {
          console.log('open settings')
        };
      }
    },
  }
</script>
<style lang="scss" scoped>
@import 'butter-mixins';
h1 {
  margin: $grid*2.75 0;
}
</style>
